events.listen('recipes', event => {
    var shaped = function (result, patternP1, patternP2, patternP3, items) {
        event.shaped(item.of(result), [
            patternP1,
            patternP2,
            patternP3
        ], items
        )
    }
    var shapedC = function (result, count, patternP1, patternP2, patternP3, items) {
        event.shaped(item.of(result, count), [
            patternP1,
            patternP2,
            patternP3
        ], items
        )
    }
    shaped('minecraft:hopper',
    'ILI',
    'ILI',
    ' I ',
    {
        'L': '#minecraft:logs',
        'I': '#forge:ingots/iron'
    })
    shaped('uppers:upper',
    ' I ',
    'ILI',
    'ILI',
    {
        'L': '#minecraft:logs',
        'I': '#forge:ingots/iron'
    })
    shapedC('minecraft:stick', 16,
    '   ',
    ' L ',
    ' L ',
    {
        'L': '#minecraft:logs'
    })
    shaped('minecraft:water_bucket',
    ' C ',
    'CBC',
    ' C ',
    {
        'C': item.of('resourcefulbees:resourceful_honeycomb', {ResourcefulBees:{BeeType:"water",Color:"#0F3653"}}),
        'B': 'minecraft:bucket'
    })
    shaped('minecraft:lava_bucket',
    ' C ',
    'CBC',
    ' C ',
    {
        'C': item.of('resourcefulbees:resourceful_honeycomb', {ResourcefulBees:{BeeType:"lava",Color:"#DB4819"}}),
        'B': 'minecraft:bucket'
    })
})